---
title: "List of ‘Google Ads’ Locations for Keywords Data"
url: "https://docs.dataforseo.com/v3/keywords_data/google_ads/locations/"
date: "2026-06-06"
---

## List of ‘Google Ads’ Locations for Keywords Data

  
We use Google Geographical Targeting. You can refer to [Google Ads Target Types](https://developers.google.com/google-ads/api/reference/data/geotargets) page to review the full list of possible location types. With Keywords Data API, you can select any location type supported by Google, except for “Okrug”.  
Postal Codes can be used to set a task, albeit API response will not return data for such tasks.

### **Note:** All locations in Russia and Belarus are no longer supported across all DataForSEO services due to the invasion of Ukraine.

 

 

 ![checked](https://docs.dataforseo.com/v3/wp-content/themes/dataforseo/assets/img/icons/checked-circle.svg) GET  https://api.dataforseo.com/v3/keywords\_data/google\_ads/locations     

 ![checked](https://docs.dataforseo.com/v3/wp-content/themes/dataforseo/assets/img/icons/checked-circle.svg) GET  https://api.dataforseo.com/v3/keywords\_data/google\_ads/locations/$country     

      

Pricing

 Your account will not be charged for using this API

 

 You will receive the list of locations by this API call. You can filter the list of locations by country when setting a task.

You can also [download the full list of supported locations](https://cdn.dataforseo.com/v3/locations/locations_kwrd_2026_04_06.csv) in the CSV format (last updated 2026-04-06).

As a response of the API server, you will receive [JSON](https://en.wikipedia.org/wiki/JSON)-encoded data containing a `tasks` array with the information about available locations.

| Field name | Type | Description |
|---|---|---|
| `version` | string | *the current version of the API* |
| `status_code` | integer | *general status code*   you can find the full list of the response codes [here](https://docs.dataforseo.com/v3/appendix/errors.md) |
| `status_message` | string | *general informational message*   you can find the full list of general informational messages [here](https://docs.dataforseo.com/v3/appendix/errors.md) |
| `time` | string | *execution time, seconds* |
| `cost` | float | *total tasks cost, USD* |
| `tasks_count` | integer | *the number of tasks in the **`tasks`** array* |
| `tasks_error` | integer | *the number of tasks in the **`tasks`** array returned with an error* |
| **`tasks`** | array | *array of tasks* |
| `id` | string | *task identifier*   **unique task identifier in our system in the [UUID](https://en.wikipedia.org/wiki/Universally_unique_identifier) format** |
| `status_code` | integer | *status code of the task*   generated by DataForSEO; can be within the following range: 10000-60000   you can find the full list of response codes [here](https://docs.dataforseo.com/v3/appendix-errors.md) |
| `status_message` | string | *informational message of the task*   you can find the full list of general informational messages [here](https://docs.dataforseo.com/v3/appendix-errors.md) |
| `time` | string | *execution time, seconds* |
| `cost` | float | *cost of the task, USD* |
| `result_count` | integer | *number of elements in the `result` array* |
| `path` | array | *URL path* |
| `data` | object | *contains the parameters passed in the URL of the GET request* |
| **`result`** | array | *array of results* |
| `location_code` | integer | *location code* |
| `location_name` | string | *full name of the location* |
| `location_code_parent` | integer | *the code of the superordinate location*   example:   `"location_code": 9041134,"location_name": "Vienna International Airport,Lower Austria,Austria","location_code_parent": 20044`where `location_code_parent` corresponds to:  `"location_code": 20044,"location_name": "Lower Austria,Austria"` |
| `country_iso_code` | string | *ISO country code of the location* |
| `location_type` | string | *location type*   possible values according to [Google’s target types](https://developers.google.com/adwords/api/docs/appendix/geotargeting) |



 

 









> Instead of ‘login’ and ‘password’ use your credentials from https://app.dataforseo.com/api-access

```
# Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access 
login="login" 
password="password" 
cred="$(printf ${login}:${password} | base64)" 
curl --location --request GET "https://api.dataforseo.com/v3/keywords_data/google_ads/locations" 
--header "Authorization: Basic ${cred}"  
--header "Content-Type: application/json" 
```





```php
<?php
// You can download this file from here https://cdn.dataforseo.com/v3/examples/php/php_RestClient.zip
require('RestClient.php');
$api_url = 'https://api.dataforseo.com/';
try {
	// Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
	$client = new RestClient($api_url, null, 'login', 'password');
} catch (RestClientException $e) {
	echo "n";
	print "HTTP code: {$e->getHttpCode()}n";
	print "Error code: {$e->getCode()}n";
	print "Message: {$e->getMessage()}n";
	print  $e->getTraceAsString();
	echo "n";
	exit();
}
try {
	// using this method you can get a list of locations
	// GET /v3/keywords_data/google_ads/locations
	// in addition to 'google_ads' you can also set other search engine
	// the full list of possible parameters is available in documentation
	$result = $client->get('/v3/keywords_data/google_ads/locations');
	print_r($result);
	// do something with result
} catch (RestClientException $e) {
	echo "n";
	print "HTTP code: {$e->getHttpCode()}n";
	print "Error code: {$e->getCode()}n";
	print "Message: {$e->getMessage()}n";
	print  $e->getTraceAsString();
	echo "n";
}
$client = null;
?>
```





```js
const axios = require('axios');

axios({
    method: 'get',
    url: 'https://api.dataforseo.com/v3/keywords_data/google_ads/locations',
    auth: {
        username: 'login',
        password: 'password'
    },
    data: [{
        country: "us"
    }],
    headers: {
        'content-type': 'application/json'
    }
}).then(function (response) {
    var result = response['data']['tasks'][0]['result'];
    // Result data
    console.log(result);
}).catch(function (error) {
    console.log(error);
});
```





```python
from client import RestClient
# You can download this file from here https://cdn.dataforseo.com/v3/examples/python/python_Client.zip
client = RestClient("login", "password")
# using this method you can get a list of locations
# GET /v3/keywords_data/google_ads/locations
# in addition to 'google_ads' you can also set other search engine
# the full list of possible parameters is available in documentation
response = client.get("/v3/keywords_data/google_ads/locations")
# you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
if response["status_code"] == 20000:
    print(response)
    # do something with result
else:
    print("error. Code: %d Message: %s" % (response["status_code"], response["status_message"]))
```





```csharp
using Newtonsoft.Json;
using System;
using System.Net.Http;
using System.Net.Http.Headers;
using System.Text;
using System.Threading.Tasks;

namespace DataForSeoDemos
{
    public static partial class Demos
    {
        public static async Task keywords_data_locations()
        {
            var httpClient = new HttpClient
            {
                BaseAddress = new Uri("https://api.dataforseo.com/"),
                // Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
                DefaultRequestHeaders = { Authorization = new AuthenticationHeaderValue("Basic", Convert.ToBase64String(Encoding.ASCII.GetBytes("login:password"))) }
            };
            // using this method you can get a list of locations
            // GET /v3/keywords_data/google_ads/locations
            // in addition to 'google_ads' you can also set other search engine
            // the full list of possible parameters is available in documentation
            var response = await httpClient.GetAsync("/v3/keywords_data/google_ads/locations");
            var result = JsonConvert.DeserializeObject<dynamic>(await response.Content.ReadAsStringAsync());
            // you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
            if (result.status_code == 20000)
            {
                // do something with result
                Console.WriteLine(result);
            }
            else
                Console.WriteLine($"error. Code: {result.status_code} Message: {result.status_message}");
        }
    }
}
```





> The above command returns JSON structured like this:

```
{
  "version": "3.20191128",
  "status_code": 20000,
  "status_message": "Ok.",
  "time": "0.4305 sec.",
  "cost": 0,
  "tasks_count": 1,
  "tasks_error": 0,
  "tasks": [
    {
      "id": "11061103-0696-0120-0000-268044305ce6",
      "status_code": 20000,
      "status_message": "Ok.",
      "time": "0.2547 sec.",
      "cost": 0,
      "result_count": 94933,
      "path": [
        "v3",
        "keywords_data",
        "google_ads",
        "locations"
      ],
      "data": {
        "api": "keywords_data",
        "function": "locations",
        "se": "google_ads"
      },
      "result": [
        {
          "location_code": 2840,
          "location_name": "United States",
          "location_code_parent": null,
          "country_iso_code": "US",
          "location_type": "Country"
        },
        {
          "location_code": 21132,
          "location_name": "Alaska,United States",
          "location_code_parent": 2840,
          "country_iso_code": "US",
          "location_type": "State"
        },
        {
          "location_code": 21133,
          "location_name": "Alabama,United States",
          "location_code_parent": 2840,
          "country_iso_code": "US",
          "location_type": "State"
        },
        {
          "location_code": 21135,
          "location_name": "Arkansas,United States",
          "location_code_parent": 2840,
          "country_iso_code": "US",
          "location_type": "State"
        }
      ]
    }
  ]
}
```









 

  cURL   php   Node.js   Python   cSharp